package com.zipcoder.payment;

public class CreditCard implements Payment {

    private long id;
    private String payerName;
    private String number;
    private int expiredMonth;
    private int expiredYear;

    public CreditCard() {

    }

    public CreditCard(long id, String payerName, String number, int expiredMonth, int expiredYear) {
        this.id = id;
        this.payerName = payerName;
        this.number = number;
        this.expiredMonth = expiredMonth;
        this.expiredYear = expiredYear;
    }

    @Override
    public long getId() {
        return this.id;
    }

    @Override
    public String getPayerName() {
        return this.payerName;
    }

    @Override
    public String getShortDescription() {
        return "CC "+ payerName + " "+number+" "+ expiredMonth+"/"+expiredYear;
    }


    public void setId(long id) {
        this.id = id;
    }

    public void setPayerName(String payerName) {
        this.payerName = payerName;
    }

    public String getNumber() {
        return this.number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public int getExpiredMonth() {
        return this.expiredMonth;
    }

    public void setExpiredMonth(int expiredMonth) {
        this.expiredMonth = expiredMonth;
    }

    public int getExpiredYear() {
        return this.expiredYear;
    }

    public void setExpiredYear(int expiredYear) {
        this.expiredYear = expiredYear;
    }

    @Override
    public int compareTo(Payment p) {
        return this.getShortDescription().compareTo(p.getShortDescription());
    }
}
